[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#971129: marked as done (shim-signed: FTBFS: build-dependency not installable: shim-unsigned (= 15+1533136590.3beb971-7))



Your message dated Mon, 03 May 2021 19:33:49 +0000
with message-id <E1ldeKD-000CIm-AF@fasolo.debian.org>
and subject line Bug#971129: fixed in shim-signed 1.34
has caused the Debian Bug report #971129,
regarding shim-signed: FTBFS: build-dependency not installable: shim-unsigned (= 15+1533136590.3beb971-7)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
971129: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=971129
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: shim-signed
Version: 1.33
Severity: serious
Justification: FTBFS on amd64
Tags: bullseye sid ftbfs
Usertags: ftbfs-20200926 ftbfs-bullseye

Hi,

During a rebuild of all packages in sid, your package failed to build
on amd64.

Relevant part (hopefully):
> +------------------------------------------------------------------------------+
> | Install package build dependencies                                           |
> +------------------------------------------------------------------------------+
> 
> 
> Setup apt archive
> -----------------
> 
> Merged Build-Depends: debhelper (>= 9), shim-unsigned (= 15+1533136590.3beb971-7), sbsigntool (>= 0.9.2-2), po-debconf, build-essential, fakeroot
> Filtered Build-Depends: debhelper (>= 9), shim-unsigned (= 15+1533136590.3beb971-7), sbsigntool (>= 0.9.2-2), po-debconf, build-essential, fakeroot
> dpkg-deb: building package 'sbuild-build-depends-main-dummy' in '/<<RESOLVERDIR>>/apt_archive/sbuild-build-depends-main-dummy.deb'.
> Ign:1 copy:/<<RESOLVERDIR>>/apt_archive ./ InRelease
> Get:2 copy:/<<RESOLVERDIR>>/apt_archive ./ Release [957 B]
> Ign:3 copy:/<<RESOLVERDIR>>/apt_archive ./ Release.gpg
> Get:4 copy:/<<RESOLVERDIR>>/apt_archive ./ Sources [416 B]
> Get:5 copy:/<<RESOLVERDIR>>/apt_archive ./ Packages [498 B]
> Fetched 1871 B in 0s (0 B/s)
> Reading package lists...
> Reading package lists...
> 
> Install main build dependencies (apt-based resolver)
> ----------------------------------------------------
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-main-dummy : Depends: shim-unsigned (= 15+1533136590.3beb971-7) but it is not going to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://qa-logs.debian.net/2020/09/26/shim-signed_1.33_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

--- End Message ---
--- Begin Message ---
Source: shim-signed
Source-Version: 1.34
Done: Steve McIntyre <93sam@debian.org>

We believe that the bug you reported is fixed in the latest version of
shim-signed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 971129@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated shim-signed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 03 May 2021 20:13:04 +0100
Source: shim-signed
Architecture: source
Version: 1.34
Distribution: unstable
Urgency: medium
Maintainer: Debian EFI Team <debian-efi@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Closes: 936002 971129 987339 987991
Changes:
 shim-signed (1.34) unstable; urgency=medium
 .
   * Build against new signed binaries corresponding to 15.4-2
     Closes: #971129, #987991
   * ***WARNING***: arm64 shim is no longer signed, due to major
     toolchain problems. See NEWS.Debian for more
     information. Separated out the binary package for arm64 to allow
     for a different description, and tweaked the Makefile too.
   * Update build-deps and Standards-Version
   * Tweak Makefile setup - do our verification testing chained from
     the "all" target, not "clean". Closes: #936002
   * Don't include apport stuff in the Debian build, it's not useful.
   * Tweak dh_install* usage for docs.
   * Add Spanish translation for debconf templates, thanks to
     Camaleón. Closes: #987339
   * Multiple bugfixes in postinst and postrm handling:
     + Call grub-install using the correct grub target in postinst
     + Also call grub-install using the correct grub target in the
       postrm, and clean up the shim binary from the ESP
     + In each case, also check and use the correct configured options
       for grub-install
     + Move the postinst grub-install code from the -common package to
       the arch-specific packages, to make sure it's always called when
       needed.
     + Only run grub-install etc. if we're actually on an EFI-booted
       system.
Checksums-Sha1:
 65983710928aa4b27b092ce7cd46ab5a9ab445ce 1808 shim-signed_1.34.dsc
 bbeb47995e9fac1ebc7783b0e0edb92264dfd122 560084 shim-signed_1.34.tar.xz
 b8298391f597bcf8102c7468f891aa720649c65e 5616 shim-signed_1.34_source.buildinfo
Checksums-Sha256:
 d178e91ccc81dbe0bf32c9afeefcf591cbb8f8b63f53d82b77089506e1aab7b2 1808 shim-signed_1.34.dsc
 cb00ee549d3f7ebe785e385af51c5707d22bae08057a5af2b18a94aba3a6bbcb 560084 shim-signed_1.34.tar.xz
 0b9e7dd3ce2267f5e15ef93a96edfd97d30e7c5acf9fc3fb52b531c3104fdc99 5616 shim-signed_1.34_source.buildinfo
Files:
 0b22fbdf62df61a812214e15fedc3c4d 1808 utils optional shim-signed_1.34.dsc
 178bda97a3d0f7384363f76b6954ed2b 560084 utils optional shim-signed_1.34.tar.xz
 a6ad09ae00afb967fdb09eb3ccda24ee 5616 utils optional shim-signed_1.34_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQJFBAEBCAAvFiEEzrtSMB1hfpEDkP4WWHl5VzRCaE4FAmCQS4YRHDkzc2FtQGRl
Ymlhbi5vcmcACgkQWHl5VzRCaE41SxAAkhuKQ42ZlkIkoI5gCmPqo2c23PImPoNC
QDnBk0304ESdRoZ31p7Cdy3oFliEUUGw0jZfuCfn8C1qXPz79o1KdbopAsBw2Dwn
TDiXUyQ1hQnquQDBIBodAgfkzgh172YdPVEmRr3Dz8jEc0fTiWXJvxg3Gi9Pr944
lvXpx2Fn4flD84SmRKNqj/Pnzm/cTIJEMIGZbyhUx1FPvZresentCVQlIwUWRPeZ
rGI7AH77yjKmF2TY08E9w0jXVQReMJMiYul+HIkmvNgM9l1ih49+4waxj9AIjUyN
T2tz05uH6fNTLSg5mU2rYI9AUvWjtLXxFw4SkK6Y0rLJy6/af8CgTgeK8SUSzsq0
wGn0ZVbkdCx6E2mb4uskMqZolWOs9a7i9n+owfMhPHVrmwUyKt7ThJP37aMw5IoK
VAv5RyepZZHJe90KR+FlYKtrFy2PiygRAgZszAXFp8HSecWrS+Am+9yUESqYN0L/
eHYo9qXmurH/ULzvltLHM/5jMsdLyUeGe7541LjVqt69MSzbslUY1nTa0x7ovlqr
mhJZ6EaFDf4/mdb9pPnqT0n//ayO0MRJfaFKy+ZTaaO20AAGZPvgYIbNimsbtAon
CevqvDZFAN1HUbgnK1oAHaMfKBQmxYIYH7lspyFUJWBrNl1lSoX3KxuqcpZiIrBN
+e5uIF9Q2o4=
=ZdID
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: